
CoCoA-5 - Feature #359

RingOf  for list

27 May 2013 09:40 - Anna Maria Bigatti

Status: Closed Start date: 27 May 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 2.00 hours

Target version: CoCoA-5.1.2 summer 2015 Spent time: 1.75 hour

Description

It is often useful to know whether all elements in a list belong to the same ring.

A function of this kind was RingEnvSet in CoCoA-4.

It has been adjusted to CoCoA-5 as RingSet (see manual) but I'm not happy with the name: maybe it should be called RingsOf?

Moreover it is quite flexible (also deals with lists of lists, and with INT and RAT): too flexible?

History

#1 - 27 May 2013 09:41 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

#2 - 31 May 2013 15:15 - Anna Maria Bigatti

similar function in cocoalib is HasUniqueOwner

#3 - 31 May 2013 15:46 - John Abbott

Such a function would be helpful now.  If we allow automatic conversion of RingElems in the future (seems quite likely) then what should the function

do?  Presumably it needs to identify the simplest "universal ring" for all the elements of the list.

There is also the question of what it should do if all elements are BigInt or BigRat (or even BigRat but all have denom 1)...?

#4 - 13 Jun 2013 15:32 - Anna Maria Bigatti

- Category set to CoCoA-4 function to be added

#5 - 01 Aug 2013 08:26 - Anna Maria Bigatti

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#6 - 14 Apr 2014 09:12 - Anna Maria Bigatti

- Status changed from New to In Progress

- % Done changed from 0 to 10

Should this function work only for list of RINGELEM?

If so we can directly use HasUniqueOwner, otherwise is is very tedious to write...and how useful would that be?

#7 - 17 Apr 2014 18:43 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

Want to discuss precise specifications of the fn.

#8 - 30 Jul 2014 17:20 - Anna Maria Bigatti
- % Done changed from 10 to 80

The function in CoCoA-5 is already done and called RingSet (see manual) but I'm not happy with the name: should I call it RingsOf?

#9 - 11 Sep 2014 17:42 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

#10 - 30 Jun 2015 14:47 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 80 to 90

- Estimated time set to 2.00 h

OK for "RingsOf".  Changing manual and making "RingSet" obsolscent

#11 - 30 Jun 2015 15:10 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

all done
